Abilities
A list of all publicly available methods for interacting with the API.
- Main
- Calculate (1 methods)
- ### Pre-Purchase order Convert your order to buy request, then send __order_id__,__total_price__ to [v2/cart/purchaser](/apidocs/cart/purchase). (1 methods)
- Get proxies in given package. (1 methods)
- Get all user info, for example: name, email, currency, balance, phone, social links, features. (1 methods)
- Get IP information, such as country, city, timezone, etc. (1 methods)
- Conversation (6 methods)
- Messages Send message to given conversation. Conversation(3 methods)
- Messages Send message to given conversation. Conversation(3 methods)
- Support Get all tickets. Conversation(3 methods)
- Messages Send message to given conversation. Conversation(3 methods)
- Support Get all tickets. Conversation(3 methods)
- Support Get all tickets. Conversation(3 methods)
- Get my IP address (1 methods)
- Get available city in residential country or regions (1 methods)
- Get available regions in residential country (1 methods)
- Get proxy bfrom list by index. (1 methods)
- Proxy (1 methods)
- Retrieve user actual balance. (1 methods)
- Package (8 methods)
- Retrieve user balance history. (1 methods)
- ### OAuth start request This request is giving url for oauth authorization, then it will redirect to redirect url with oauth-uid and oauth-signature #### Target Auth URL This is url where user complete oauth authorization (our endpoint). #### Where get API Application? You need contact us in [support](/support) and we will give you API Application (1 methods)
- Return information oauth provider and API application (1 methods)
- Return list of allowed targets (which can be used in oauth). (1 methods)
- Get active user sessions. (1 methods)
- Obtain a list of the user's API tokens. (1 methods)
- User (23 methods)
- Fire tokens(4 methods)
- Money & Balance(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Referral(10 methods)
- Sessions(3 methods)
- Money & Balance(10 methods)
- Money & Balance(10 methods)
- Settings Change selected settings for given package.(3 methods)
- Money & Balance(10 methods)
- Abilities(2 methods)
- Money & Balance(10 methods)
- Avatar(3 methods)
- Other linked accounts(3 methods)
- Promotion(2 methods)
- Features User(2 methods)
- Features User(2 methods)
- Other linked accounts(3 methods)
- Referral(10 methods)
- Get info about specified user's API token. (1 methods)
- Delete specified user's API token. (1 methods)
- Referral (1 methods)
- Get user who referred current user. (1 methods)
- Get order / prices information by package. (1 methods)
- Unsubscribe from balance subscription. (1 methods)
- Delete (1 methods)
- Retrieve download hash for package, for download package proxies. (1 methods)
- Reset download hash for package, old hash will not be valid anymore. (1 methods)
- Download proxies in specific format, with specific connection type (1 methods)
- Hide selected proxy from list (but it will work, only visual)) (1 methods)
- You can read note for proxy. (1 methods)
- Add personal note for proxy in package. (1 methods)
- ### How to? Replace ips in package, if you want to add new ips, you need to add them to the `add_countries` array, if you want to remove ips, you need to add them to the `remove_ids` array. You need __money__ to replace ips, if you have __free replacements__ you can use them. (1 methods)
- Change or add traffic to order. You need __money__ to change traffic. (1 methods)
- Rotate proxy, residential, mobile - change ip. (1 methods)
- Add custom user proxy, like for residential constructor. (1 methods)
- Replace proxies by given sequence. (1 methods)
- Return package settings, like name, description, etc. (1 methods)
- Change selected settings for given package. (1 methods)
- Get available connection servers (Some servers can give better speed). (1 methods)
- Change the connection bridge to other. (1 methods)
- Same as list but fetch only one. (1 methods)
- Logout from session, if id is not provided, logout from current session. (1 methods)
- Get and read all user notifications. (1 methods)
- Phone status (1 methods)
- Update user settings, for example: name, email, currency. Some settings need confirmation, for example: email. (1 methods)
- Available countries (1 methods)
- Cart (1 methods)
- Get all config for calculator, like: rules for counts, traffic, paid period, etc. This is used in plan selector to show the rules for the order. (1 methods)
- ### Purchase order This method is used to purchase the order, you need to send the _order_id_, _overall_ *(Is total_price, based on user currency)* from [v2/cart/order](/apidocs/cart/order) to this endpoint to purchase the order. (1 methods)
- ### Sale percentage #### What is the sale percentage? Sale percentage is a discount that is applied to the price of the order. The sale percentage is calculated based on the user's activity on the site, or referrals. The more active the user is, the higher the discount. #### Referral program It uses __sp-referral__ header as a referral code, more you can find on [wiki welcome page](/apidocs). #### How to apply the sale percentage? This is already calculated in the price of the orders, you don't need to do anything, just purchase the order. (1 methods)
- Get current activated abilities for api token. (1 methods)
- Make payment request, then redirect to payment page. (1 methods)
- Calculates your amount after applying active promocodes / bonuses. (1 methods)
- Phone (1 methods)
- Other linked accounts (1 methods)
- Get active promocodes for user. (1 methods)
- Bonuses (1 methods)
- ### Check website before order Check website in blacklist before order, some types of blacklist can be enabled or disabled. For example we allow pay sites on mobile proxies. (1 methods)
GET
Get active abilities -/user/abilities
Query method
GEThttp://apilocal.stableproxy.com/v2/user/abilities
Code examples
JavaScript
async function getUserAbilities() {
const baseUrl = 'http://apilocal.stableproxy.com/v2';
const req = await fetch(baseUrl + '/user/abilities', {
method: 'GET',
headers: {
'Content-Type': 'application/json'
}
}
);
const res = await req.json();
}Examples of answers
Success response
GET
Check ability Abilities User -/user/abilities/{ability}
Query method
GEThttp://apilocal.stableproxy.com/v2/user/abilities/{ability}
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| ability | 1required | "sessions.read" |
Code examples
JavaScript
async function getUserAbilities() {
const baseUrl = 'http://apilocal.stableproxy.com/v2';
const req = await fetch(baseUrl + '/user/abilities/{ability}'
.replace("{ability}", "sessions.read"), {
method: 'GET',
headers: {
'Content-Type': 'application/json'
}
}
);
const res = await req.json();
}